%define ver_major 2.32
%def_disable gtk_doc

Name: gnome-color-manager
Version: %ver_major.0
Release: alt1

Summary: Color profile manager for the GNOME desktop
License: %gpl2plus
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/gnome-color-manager/

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch: gnome-color-manager-2.30.0-alt-lcms.patch

PreReq: GConf2
Requires: common-licenses gnome-session gnome-filesystem

BuildRequires(Pre): libGConf-devel
BuildPreReq: gnome-common rpm-build-gnome
BuildPreReq: rpm-build-licenses

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-doc-utils >= 0.3.2 docbook-utils gtk-doc
BuildPreReq: glib2-devel >= 2.14.0
BuildPreReq: libgtk+2-devel >= 2.14.0
BuildPreReq: libXrandr-devel >= 1.3
BuildPreReq: libunique-devel >= 1.0.0
BuildPreReq: libgnome-desktop-devel >= 2.14.0
BuildPreReq: libvte-devel >= 0.22.2
BuildPreReq: libdbus-glib-devel >= 0.73
BuildPreReq: libcups-devel libcanberra-gtk2-devel libtiff-devel libsane-devel
BuildPreReq: liblcms-devel libgudev-devel libXxf86vm-devel libnotify-devel

%description
gnome-color-manager is a session program that makes it easy to manage,
install and generate color profiles in the GNOME desktop.

This project has the following features:

* Setting output gamma tables (with local brightness and adjustments) to any
  Xrandr output (falling back to the per-screen methods for drivers that do not
  yet support Xrandr 1.3).

* Setting of settings at session start, and when monitors are hotplugged.

* Easy install of vendor supplied ICC or ICM files, just by double clicking
  on the file.

* Easy display calibration using an external calibration device, and scanner
  calibration using a inexpensive IT 8.7 target. For calibration, the ArgyllCMS
  package is required.

* Integration X11 by setting the per-screen and per-output _ICC_PROFILE atom,
  which makes applications such as the GIMP use a color managed output.

* Easy to use DBus interface for applications to query what ICC profiles should
  be used for a specific device. This is session activated and is only started
  when it is needed, and quits after a small period of idleness.

%prep
%setup -q
%patch -b .lcms

%build
%autoreconf
%configure \
    --enable-tests \
    --disable-scrollkeeper \
    --disable-schemas-install \
    %{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make_install DESTDIR=%buildroot install

# The license
ln -sf %_licensedir/GPL-2 COPYING

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_sbindir/gcm-install-system-wide
%_bindir/gcm-*
%dir %_datadir/%name
%_datadir/%name/
%_datadir/dbus-1/services/org.gnome.ColorManager.service
%_desktopdir/gcm-*.desktop
%_iconsdir/hicolor/*x*/apps/*.png
%_iconsdir/hicolor/scalable/apps/*.svg
%_iconsdir/hicolor/*x*/mimetypes/*.png
%_iconsdir/hicolor/scalable/mimetypes/*.svg
%_sysconfdir/xdg/autostart/gcm-apply.desktop
/lib/udev/rules.d/*.rules
%_datadir/polkit-1/actions/org.gnome.color.policy
%config %gconf_schemasdir/%name.schemas
%_man1dir/*
%doc --no-dereference COPYING
%doc README NEWS ChangeLog AUTHORS

%changelog
* Sun Oct 17 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Mon Sep 06 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.91-alt1
- 2.31.91

* Wed Jun 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Mon Apr 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0
- updated buildreqs
- updated "lcms" patch

* Thu Mar 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.4-alt2
- rebuild against new libgnome-desktop

* Mon Mar 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.4-alt1
- 2.29.4
- updated buildreqs

* Mon Feb 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.3-alt1
- 2.29.3
- Fixed build against lcms. Tnx to Valery Inozemtsev (shrek@)

* Mon Dec 07 2009 Yuri N. Sedunov <aris@altlinux.org> 2.29.1-alt1
- first build for Sisyphus

